Loading...
Searching...
No Matches
caf::outbound_stream_slot< OutputType, HandshakeArgs > Class Template Reference

Wraps a stream slot ID for outbound paths with the full type information of the path creation. More...

`#include <stream_slot.hpp>`

## Public Types

using | output_type = OutputType
| Type of a single element.
using | stream_type = stream<output_type>
| Type of a stream over the elements.
using | handshake_arguments = std::tuple<HandshakeArgs...>
| Type of user-defined handshake arguments.

## Public Member Functions

constexpr | outbound_stream_slot (stream_slot value=0)
| outbound_stream_slot (outbound_stream_slot &&)=default
| outbound_stream_slot (const outbound_stream_slot &)=default
outbound_stream_slot & | operator= (outbound_stream_slot &&)=default
outbound_stream_slot & | operator= (const outbound_stream_slot &)=default
constexpr | operator stream_slot () const noexcept
constexpr stream_slot | value () const noexcept

## Friends

template<class Inspector>
Inspector::result_type | inspect (Inspector &f, outbound_stream_slot &x)

## Detailed Description

template<class OutputType, class... HandshakeArgs>
class caf::outbound_stream_slot< OutputType, HandshakeArgs >

Wraps a stream slot ID for outbound paths with the full type information of the path creation.

The documentation for this class was generated from the following file:

- /build/actor-framework-Z9pIPl/actor-framework-0.17.6/libcaf_core/caf/stream_slot.hpp